<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_euler.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::core::Euler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#ac7711913e4457e7bbcfdfc1d45a0f27a">Euler</a>(float roll=0, float pitch=0, float yaw=0)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(const Euler &amp;euler) (defined in <a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">pitch</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">roll</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#a95f5500038266a9ae4263505244220e5">ToDegree</a>(float radianValue)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#a04ceb304088ab462b27d19df7c61720b">ToQuaternion</a>(Quaternion &amp;quaternion) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628">ToQuaternion</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb">ToRadian</a>(float degreeValue)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">yaw</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d">YawDistanceFrom</a>(float angle) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html#a3ccf90d1ddac3544d97ae79e86b9dc46">~Euler</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
